Name:           ocaml-fd
Version:        1.1.0
Release:        %mkrel 1
Summary:        Descriptor-passing functions for OCaml
Source:         http://oss.digirati.com.br/ocaml-fd/ocaml-fd-%{version}.tar.gz
URL:            http://oss.digirati.com.br/ocaml-fd/
License:        LGPL 2.1
Group:          Development/Other
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  tetex-latex

%description
This OCaml library implements miscellaneous functions related to UNIX file
descriptors. Currently, send_fd, recv_fd and fexecve are implemented.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n ocaml-fd-%{version}

%build
make all opt
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/fd
make install

%files
%doc INSTALL LICENSE
%dir %{_libdir}/ocaml/fd/
%{_libdir}/ocaml/fd/*.cmi
%{_libdir}/ocaml/fd/*.cma
%{_libdir}/ocaml/fd/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/fd/
%doc test/ml/
%{_libdir}/ocaml/fd/*.a
%{_libdir}/ocaml/fd/*.mli
%{_libdir}/ocaml/fd/*.cmxa


%changelog

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.1.0-1.mga2
+ Revision: 225926
- imported package ocaml-fd


* Sat Aug 01 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 405305
- latex BuildRequires

* Fri Jul 31 2009 Florent Monnier <blue_prawn@mandriva.org>
+ Revision: 405281
- updated version

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 390083
- rebuild

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 320763
- move non-devel files into main package
- site-lib hierarchy doesn't exist anymore

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org>
+ Revision: 254262
- rebuild

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org>
+ Revision: 136633
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org>
+ Revision: 130822
- kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 90013
- rebuild

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 77682
- drop macro definition, now in rpm-mandriva-setup
- ship .cmi file in non-devel subpackage

* Fri Aug 31 2007 Guillaume Rousse <guillomovitch@mandriva.org>
+ Revision: 77097
- import ocaml-fd
